Debian Bug report logs - #197321
gdm: There are a new version of gdm released with important changes - please update debian packages

version graph

Package: gdm; Maintainer for gdm is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: "Mantas K." <monte@mail.lt>

Date: Fri, 13 Jun 2003 21:33:06 UTC

Severity: normal

Found in version 2.4.1.3-2

Fixed in version gdm/2.4.1.6-1

Done: Ryan Murray <rmurray@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#197321; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to "Mantas K." <monte@mail.lt>:
New Bug report received and forwarded. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Mantas K." <monte@mail.lt>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdm: There are a new version of gdm released with important changes - please update debian packages
Date: Sat, 14 Jun 2003 00:30:02 +0200
Package: gdm
Version: 2.4.1.3-2
Severity: normal

Hi,

Please update debian packages (and fix bug 192099, because I can't use new 
gdm from unstable, but Sean Harshbarger's packages works fine)
There are two new versions of gdm released by upstream - 2.4.1.4 and 2.4.2.95
with lots of important changes:

2.4.2.95 stuff:

- Completely new session setup, born out of discussions with Oswald
  Buddenhagen, the KDM maintainer, which will bring about common session
  setup for both GDM and KDM.  We now basically have a common
  /etc/X11/dm/Sessions directory where there are .desktop files are stored
  which describe sessions and these will be shared among KDM and GDM.
  Among other things this also makes the face browser default to using
  ~/.face and the per user saved info is in ~/.dmrc

- The greeter.dtd is updated and there is theme creation documentation
  (Brian Cameron, Aidan Butler, me)

- A face browser for the graphical greeter.  This is selecting by selecting
  a theme that implements it.  Add happygnome-list which does.
  (Patrizio Bruno, me)

- The standard greeter has a GtkTreeView based face browser based on the
  new one from the graphical greeter.

- Accesibility work.  Add posibility of adding modules to the greeter through
  AddGtkModules and GtkModulesList.  Add guesture listeners.  Dwell mouse
  events.  (Niall Power, Brian Cameron)

- Attempt at getting things HIG-ified

- Add "Run XDMCP chooser" button to the system menu, which is now called
  the "Actions" menu, also allow a server type that runs a chooser by
  adding a "chooser=true" to a server definition.

- The XDMCP chooser got an overhaul internally.  Also there is an "Add"
  button to add new hosts by typing in the hostname.

- Add a PostLogin script which is run right after login succeeds but before
  any setup is done.  This can be used if the users home directory needs
  to be setup here.

- Add security/DisallowTCP which will append -nolisten tcp to all
  console displays, and this is by default true.  Fixes #87291

- PingInterval is now PingIntervalSeconds and is now in seconds, it makes no
  sense in minutes really since nobody is that patient anymore these days, also
  the comment in the config file said seconds, so I suppose this is a bugfix,
  should "fix" #103266

- Add a "Delete theme" button to gdmsetup, add a scroll window to the
  theme preview, fixes #110302 and #104757

- PAM now asks for username itself.  This made LocalNoPasswordUsers impossible,
  and so that was removed.  This way hopefully we should work with some more
  pam setups, such as smartcard ones.  Fixes issues from #106537

- The GNOME session chooser stuff is removed since it wasn't working all
  right anyway and was kind of icky.

- The F10 menu in the graphical greeter is nicer.

- When you doubleclick on the radiobutton in graphical greeter Actions
  menu, it activates the item (Mihael Vrbanec)

- There is the Welcome label and RemoteWelcome label now.  The local Welcome
  label is now just "Welcome" since "Welcome to localhost" is silly.  Also
  the graphical greeter uses this, as long as you use the stock label text.

- Check for the capslock turned on before warning about it, and also only
  mention "bad username or password" if we actually asked for a password.
  Fixes #71496

- The "subtype" field to the "show" item for the themes is gone, it was stupid
  and I hope no one used it (it wasn't documented anyhow).

- A bunch of standard pam messages are now translated inside gdm

- If there are many sessions available the graphical greeter presents
  a scrolled window, fixes #104120

- Don't set RUSER for PAM and don't set RHOST if this is a console login,
  apparently this is what it should be doing according to the Sun guys,
  fixes issues from #106537

- The loop of death is now working as it should be and is not as sensitive.
  Also the toplevel loop of death does not abort the display, but only
  disables it for 2 minutes.

- Suspend now works much better and doesn't whack the gdm process,
  fixes #108700

- When more then 50 users on the system don't put them all into
  the combobox in gdmsetup, semi-fixes #111830

- When using shadow passwords, fall back to standard if shadow is
  not available, fixes #109765 (cschelcher@free.fr)

- Use strerror and not g_strerror as the latter returns UTF-8,
  fixes #106655

- Set TEXTDOMAIN to GETTEXT_PACKAGE for the x keeps failing script,
  fixes #106657 (Owen Taylor)

- gdmopens are done using login shell, fixes #106658, also gdmopen
  doesn't deallocate the vt which is apparently not kosher and fixes
  #106656 (Owen Taylor, me)

- Fix RedHat #91031, prepend a dash rather then make shell argv[0] a dash
  (Michael Blandford)

- On Linux detect the runlevel and try to detect the user having run shutdown
  (from say gnome-session) and if so suspend the slave operation for 30
  seconds and wait what happens.  Most likely we'll get whacked.

- Fix typos and change some strings, #106207, #105923, #56654 among others

- gdmmktemp is gone as we have not been using it, also gdmaskpass and
  gdmopen are now in libexec

- Many minor fixes

- Build fixes (Brian Cameron, me)

- Solaris fixes (Brian Cameron, Niall Power)

- Translation updates, language additions and such (Danilo Aegan,
  Guntupalli Karunakar, Abel Cheung, me, Christian Rose, Christophe Merlet,
  Jordi Mallach, Christian Neumair, Miroslav Trmac, Pablo Gonzalo del Campo,
  Hasbullah Bin Pit, Vincent van Adrighem, Evandro Fernandes Giovanini,
  David Barzilay, Lucas 'Basurero' Vieites, Duarte Loreto, Kostas Papadimas,
  KAMAGASAKO Masatoshi, Dmitry G. Mastrukov)

2.4.1.4 stuff:

- Raise DisplaysPerHost default to 2 to avoid a FAQ-type-problem

- Add xdmcp/PingInterval key to the default config file

- Fixed up the included spec file

- Fixed some typo's (Kjartan Maraas)

- Fixed Solaris build (Niall Power)

- Added Thai, Mongolian, Indonesian, Kannada, Hindi
  Bengali, Belarusian, Bosnian, Welsh, Persian, Interlingua,
  Albanian, Serbian, Yiddish and Panjabi Language support
  (Ross Golder, Sanlig Badral)

- Sorted languages in alphabetic order (#106293) (Ross Golder)

- Translation updates (Roozbeh Purnader, Christian Rose, Taneem Ahmed,
  Pablo Saratxaga, Danilo Aegan, Jordi Mallach, Dmitry G. Mastrukov,
  Belarusian team, Alessio Frusciante, Lapo Calamandrei, Christophe Merlet,
  Andras Timar, Takeshi AIHANA, Roozbeh Pournader, Artis Trops,
  Kang Jeong-Hee, Stanislav Visnovsky, FSF-India, Abel Cheung, Metin Amiroff,
  Pauli Virtanen, Lauri Nurmi, Kjartan Maraas, Christian Neumar,
  Kostas Papadimas, Vincent van Adrighem, Zbigniew Chyla, GNOME PL Team,
  Evandro Fernandes Giovanini, Duarte Loreto, Pablo Gonzalo del Campo,
  Lucas 'Basurero' Vieites, Ole Laursen, Paul Duffy, Russian team,
  Yuriy Syrota, Miloslav Trmac, Gil "Dolfin" Osher, Progga,
  Christian Neumair, Alexandre Folle de Menezes, Benjamin Greiner,
  Fatih Demir, Arman)


-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux aukselis.is.lt 2.4.18-686 #1 Sun Apr 14 11:32:47 EST 2002 i686
Locale: LANG=lt_LT, LC_CTYPE=lt_LT

Versions of packages gdm depends on:
ii  adduser                      3.47        Add and remove users and groups
ii  bonobo-activation            1:2.2.1.1-1 Bonobo Activation Framework
ii  debconf                      1.2.21      Debian configuration management sy
ii  dpkg                         1.10.9      Package maintenance system for Deb
ii  libart-2.0-2                 2.3.10-3    The GNOME 2 canvas widget - runtim
ii  libatk1.0-0                  1.2.4-1     The ATK accessibility toolkit
ii  libaudiofile0                0.2.3-4     The Audiofile Library
ii  libbonobo-activation4        1:2.2.1.1-1 Bonobo Activation Framework -- run
ii  libbonobo2-0                 2.2.1-1     Bonobo CORBA interfaces library
ii  libbonoboui2-0               2.2.0.1-2   The Bonobo UI library
ii  libc6                        2.3.1-12    GNU C Library: Shared libraries an
ii  libesd0                      0.2.29-1    Enlightened Sound Daemon - Shared 
ii  libgconf2-4                  2.2.0-1     GNOME configuration database syste
ii  libgcrypt1                   1.1.11-4    LGPL Crypto library - runtime libr
ii  libglade2-0                  2.0.1-2     Library to load .glade files at ru
ii  libglib2.0-0                 2.2.1-1     The GLib library of C routines
ii  libgnome2-0                  2.1.90-1    The GNOME 2 library - runtime file
ii  libgnomecanvas2-0            2.2.0.1-2   A powerful object-oriented display
ii  libgnomeui-0                 2.2.0.1-1   The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0               2.2.3-2     The GNOME virtual file-system libr
ii  libgnutls5                   0.8.0-1     GNU TLS library - runtime library
ii  libgtk2.0-0                  2.2.1-1     The GTK+ graphical user interface 
ii  libjpeg62                    6b-5        The Independent JPEG Group's JPEG 
ii  liblinc1                     1:1.0.0-1   library to simplify creating netwo
ii  liborbit2                    1:2.6.0-1   Libraries for ORBit2 - a CORBA ORB
ii  libpam-modules               0.72-35     Pluggable Authentication Modules f
ii  libpam0g                     0.76-7      Pluggable Authentication Modules l
ii  libpango1.0-0                1.2.1-1     Layout and rendering of internatio
ii  libpopt0                     1.7-2       lib for parsing cmdline parameters
ii  librsvg2-2                   2.2.5-1     SAX-based renderer library for SVG
ii  libtasn1-0                   0.1.2-1     Manage ASN.1 structures (runtime)
ii  libwrap0                     7.6-9       Wietse Venema's TCP wrappers libra
ii  libxml2                      2.5.7-1     GNOME XML library
ii  xlibs                        4.2.1-3     X Window System client libraries
ii  zlib1g                       1:1.1.4-1   compression library - runtime




Tags added: pending Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ryan Murray <rmurray@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Mantas K." <monte@mail.lt>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 197321-close@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: 197321-close@bugs.debian.org
Subject: Bug#197321: fixed in gdm 2.4.1.6-1
Date: Mon, 25 Aug 2003 07:32:11 -0400
Source: gdm
Source-Version: 2.4.1.6-1

We believe that the bug you reported is fixed in the latest version of
gdm, which is due to be installed in the Debian FTP archive:

gdm_2.4.1.6-1.diff.gz
  to pool/main/g/gdm/gdm_2.4.1.6-1.diff.gz
gdm_2.4.1.6-1.dsc
  to pool/main/g/gdm/gdm_2.4.1.6-1.dsc
gdm_2.4.1.6-1_i386.deb
  to pool/main/g/gdm/gdm_2.4.1.6-1_i386.deb
gdm_2.4.1.6.orig.tar.gz
  to pool/main/g/gdm/gdm_2.4.1.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 197321@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Murray <rmurray@debian.org> (supplier of updated gdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 25 Aug 2003 03:14:45 -0700
Source: gdm
Binary: gdm
Architecture: source i386
Version: 2.4.1.6-1
Distribution: unstable
Urgency: low
Maintainer: Ryan Murray <rmurray@debian.org>
Changed-By: Ryan Murray <rmurray@debian.org>
Description: 
 gdm        - GNOME Display Manager
Closes: 80800 129194 151373 157792 193382 194611 194613 196140 196659 197321 198453 204932
Changes: 
 gdm (2.4.1.6-1) unstable; urgency=low
 .
   * New upstream release (closes: #129194, #197321, #194613)
   * Update and include extract-locales, which is used to generate gdm's
     locale.conf  Updated to move positioning of @ suffixes. (closes: #204932)
   * Remove fallback to nobody/nobody from gdm.c If the system user and group
     don't exist, the rest of the package will fail anyhow (closes: #194611)
   * Add PAM_AUTHINFO_UNAVAIL to incorrect password error handler
     (closes: #157792)
   * Support use-ssh-agent in the Gnome session (closes: #196659)
   * Remove links to non-existent documentation (closes: #198453, #193382)
   * Update face browser comments in README.Debian (closes: #151373)
   * Add SecureSystemMenu option to gdm and gdmconfig.  This requires the root
     password to be entered to use any option in the system menu.
   * Enable SystemMenu and SecureSystemMenu by default (closes: #80800, #196140)
Files: 
 6eda7757cd515cb6e39e136460d4cc3d 623 gnome optional gdm_2.4.1.6-1.dsc
 36d63871bab9156b7fc8e78aa80d85d3 3415241 gnome optional gdm_2.4.1.6.orig.tar.gz
 a61b3afd0942e75df567e95d20fed925 42536 gnome optional gdm_2.4.1.6-1.diff.gz
 caf7efc4c618533413c4384a4dfd2a2e 1731356 gnome optional gdm_2.4.1.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE/SfCPN2Dbz/1mRasRArxXAJwKP1vQrnDMu06E1FPI0tHVvq6IwACeLiFN
dMMFRUBL8cCE3gLZY+H+gWw=
=t10V
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:22:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.